Pre-Requisites for Setting Up Workload XM

Before you can set up Cloudera Manager's Telemetry Publisher service to send diagnostic data to Workload XM, you must make sure you have the correct versions of Cloudera Manager and CDH:

Supported Versions of Cloudera Manager and CDH

To use Workload XM with CDH clusters managed by Cloudera Manager, you must have the following versions:

  • For CDH 5.x clusters:

    • Cloudera Manager version 5.15.1 and later
    • CDH version 5.8 and later
  • For CDH 6.x clusters:

    • Cloudera Manager version 6.1 and later
    • CDH version 6.1 and later

After you have verified that you have the correct versions of Cloudera Manager and CDH, you must configure data redaction and your firewall. These topics are addressed in the following sections: